<?php

 /**
 * @file
 * Migration src file for Article.
 *
 * This module migrates data of Article type.
 */

namespace Drupal\uvf_migrate\Plugin\migrate\source;

use Drupal\migrate\Plugin\migrate\source\SqlBase;
use Drupal\migrate\Row;

/**
* Source plugin for the article.
*
* @MigrateSource(
*   id = "article"
* )
*/
class Article extends SqlBase
{
    /**
     * {@inheritdoc}
     */
    public function query()
    {
        $query = $this->select('node_field_data', 'ar')
            ->fields('ar', ['nid','title','body']);
        return $query;

        
    }

    /**
     * {@inheritdoc}
     */
    public function fields()
    {
        $fields = [
            'nid' => $this->t('nid'),
            'title' => $this->t('title'),
            'body' => $this->t('body')
        ];

        return $fields;
    }

    /**
     * {@inheritdoc}
     */
    public function getIds()
    {
        return [
            'nid' => [
                'type' => 'integer',
                'alias' => 'ar',
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    // public function prepareRow(Row $row)
    // {
    //     $publish_date = $row->getSourceProperty('publish_date');
    //     $new_date = date('Y-m-d\Th:i:s', strtotime($publish_date));
    //     $row->setSourceProperty('publish_date', $new_date);
    //     return parent::prepareRow($row);
    // }
}
